Bug 963781 - [abrt] WARNING: at lib/list_debug.c:29 __list_add+0x63/0xf0()
[abrt] WARNING: at lib/list_debug.c:29 __list_add+0x63/0xf0()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
abrt_hash:15d6cd678966a65b52fc8774b5a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 10:28 EDT by Marko
Modified: 2014-02-05 16:24 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:24:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (68.58 KB, text/plain)
2013-05-16 10:28 EDT, Marko
no flags Details

  None (edit)
Description Marko 2013-05-16 10:28:24 EDT
Description of problem:
Been ON state for the last 8 hours.
Somehow system restarted itself.
After login the warning appeared.
Running program was eMule only.

Additional info:
WARNING: at lib/list_debug.c:29 __list_add+0x63/0xf0()
Hardware name: Latitude D620                   
list_add corruption. next->prev should be prev (f67d6a40), but was d5f36fc0. (next=f67d6740).
Modules linked in: ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle bnep bluetooth rfkill nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep snd_seq cdc_ether usbnet snd_seq_device snd_pcm mii snd_page_alloc snd_timer coretemp snd kvm_intel kvm iTCO_wdt i2c_i801 iTCO_vendor_support soundcore gpio_ich lpc_ich of_i2c dell_wmi microcode dell_laptop dcdbas sparse_keymap joydev uinput nouveau mxm_wmi i2c_algo_bit drm_kms_helper tg3 ttm ptp drm pps_core i2c_core wmi video sunrpc
Pid: 4135, comm: firefox Not tainted 3.8.11-200.fc18.i686 #1
Call Trace:
 [<c043e919>] warn_slowpath_common+0x69/0x90
 [<c068f603>] ? __list_add+0x63/0xf0
 [<c068f603>] ? __list_add+0x63/0xf0
 [<c043e9e3>] warn_slowpath_fmt+0x33/0x40
 [<c068f603>] __list_add+0x63/0xf0
 [<f8156541>] region_head.isra.1+0x61/0xc0 [nouveau]
 [<f8156752>] nouveau_mm_head+0xb2/0x110 [nouveau]
 [<f816fcc8>] nv04_instobj_ctor+0x68/0x90 [nouveau]
 [<f8156e5b>] nouveau_object_ctor+0x3b/0xe0 [nouveau]
 [<f816fd1d>] nv04_instmem_alloc+0x2d/0x50 [nouveau]
 [<f81557b6>] nouveau_gpuobj_create_+0x1f6/0x270 [nouveau]
 [<c05006e4>] ? zone_watermark_ok+0x34/0x40
 [<f8154452>] nouveau_engctx_create_+0x212/0x260 [nouveau]
 [<f81b6943>] nv40_graph_context_ctor+0x43/0x90 [nouveau]
 [<f8156e5b>] nouveau_object_ctor+0x3b/0xe0 [nouveau]
 [<f81574b0>] ? nouveau_object_inc+0x40/0x1b0 [nouveau]
 [<f8157706>] nouveau_object_new+0xe6/0x220 [nouveau]
 [<f81c75c3>] nouveau_abi16_ioctl_grobj_alloc+0x73/0xd0 [nouveau]
 [<c0688711>] ? _copy_from_user+0x41/0x60
 [<f81c7550>] ? nouveau_abi16_ioctl_channel_free+0x90/0x90 [nouveau]
 [<f7ffbc82>] drm_ioctl+0x422/0x480 [drm]
 [<f81c7550>] ? nouveau_abi16_ioctl_channel_free+0x90/0x90 [nouveau]
 [<c052821a>] ? page_add_new_anon_rmap+0x8a/0x120
 [<c05209e4>] ? handle_pte_fault+0x3d4/0x8f0
 [<f7ffb860>] ? drm_copy_field+0x80/0x80 [drm]
 [<c05587ea>] do_vfs_ioctl+0x7a/0x590
 [<c062760a>] ? inode_has_perm.isra.31.constprop.62+0x3a/0x50
 [<c0628c90>] ? file_has_perm+0xa0/0xb0
 [<c06290a8>] ? selinux_file_ioctl+0x48/0xe0
 [<c0558d6b>] sys_ioctl+0x6b/0x80
 [<c098658d>] sysenter_do_call+0x12/0x28
Comment 1 Marko 2013-05-16 10:28:33 EDT
Created attachment 748871 [details]
File: dmesg
Comment 2 Fedora End Of Life 2013-12-21 08:34:19 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:24:16 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.